Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059976 (GlusterThinProvisioning) - glusterfs backend does not support discard
Summary: glusterfs backend does not support discard
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: GlusterThinProvisioning
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs
Version: rhgs-3.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: ---
Assignee: Bug Updates Notification Mailing List
QA Contact: storage-qa-internal@redhat.com
URL:
Whiteboard:
Depends On: 1037503 1055487 1103845 1136534
Blocks: 1093069
TreeView+ depends on / blocked
 
Reported: 2014-01-31 06:24 UTC by Nagaprasad Sathyanarayana
Modified: 2016-02-18 00:21 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1055487
Environment:
Last Closed: 2016-01-05 07:00:07 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 1 Nagaprasad Sathyanarayana 2014-01-31 06:26:29 UTC
++++ Mail from Bhavna Sarathy +++++

Karen's team reported that only gluster backend has an issue with
thin
provisioning in RHEL 7.0.   Note that thin provisioning works on all
other major backends.  It's in our best interest to add this support
to
RHEL 7.  I strongly suggest we do not wait till 7.1.

https://bugzilla.redhat.com/show_bug.cgi?id=1055487

Please add other from your team to the thread, if you would like
clarification from the KVM team.

Comment 2 Paolo Bonzini 2014-02-03 10:58:14 UTC
> I strongly suggest we do not wait till 7.1.

I would be very surprised if it were possible to do this in 7.0.

The discard and zerofill APIs are not provided by libgfapi, are they even supported in the backend?

Comment 3 Paolo Bonzini 2014-05-06 15:54:50 UTC
zerofill is new in 3.5.

Comment 7 Sibiao Luo 2014-11-12 05:42:40 UTC
What's progress for this bug? It maybe will block our KVM QE testing for ThinProvisioning with GlusterFS backends in qemu-kvm-rhev7.1, could you help to resolve this bug soon, thanks.

Best Regards,
sluo

Comment 8 Paolo Bonzini 2014-11-12 09:41:39 UTC
This should be fixed by the 3.6 rebase.  /usr/include/glusterfs/api/glfs.h includes the relevant functions:

int glfs_discard(glfs_fd_t *fd, off_t offset, size_t len) __THROW;


int glfs_discard_async (glfs_fd_t *fd, off_t length, size_t lent,
                        glfs_io_cbk fn, void *data) __THROW;

int glfs_zerofill(glfs_fd_t *fd, off_t offset, off_t len) __THROW;

int glfs_zerofill_async (glfs_fd_t *fd, off_t length, off_t len,
                        glfs_io_cbk fn, void *data) __THROW;

I'd rather have the RHS folks answer the question definitively, though.

Comment 9 Vijay Bellur 2015-03-24 04:33:46 UTC
(In reply to Paolo Bonzini from comment #8)
> This should be fixed by the 3.6 rebase.  /usr/include/glusterfs/api/glfs.h
> includes the relevant functions:
> 
> int glfs_discard(glfs_fd_t *fd, off_t offset, size_t len) __THROW;
> 
> 
> int glfs_discard_async (glfs_fd_t *fd, off_t length, size_t lent,
>                         glfs_io_cbk fn, void *data) __THROW;
> 
> int glfs_zerofill(glfs_fd_t *fd, off_t offset, off_t len) __THROW;
> 
> int glfs_zerofill_async (glfs_fd_t *fd, off_t length, off_t len,
>                         glfs_io_cbk fn, void *data) __THROW;
> 
> I'd rather have the RHS folks answer the question definitively, though.

This is correct. The 3.6 rebase introduces these APIs in RHEL.

Comment 11 Kaushal 2016-01-05 06:44:30 UTC
This bug can be closed. As Vijay mentioned in Comment#9, the required API was made available by the rebase to glusterfs-3.6. The APIs should be available in RHS-3.0 and RHGS-3.1 releases.

Comment 12 Atin Mukherjee 2016-01-05 07:00:07 UTC
Based on #c11 closing this bug


Note You need to log in before you can comment on or make changes to this bug.